class HelloMilind
  def self.hi(language = "english")
    translator = Translator.new(language)
    translator.hi
    #puts "Hi All!!! This is my first Gem!"
  end
end

class HelloMilind::Translator
  def initialize(language)
    @language = language
  end

  def hi
    case @language
    when "spanish"
      "¡Hola a todos! Milind aquí! Esta es mi primera joya!"
    when "hindi"
      "नमस्ते! यहाँ मिलिंद! यह मेरा पहला रत्न है!"
    when "japanese"
      "こんにちは、みんな！ここに本部Milind！これが私の最初の逸品です！"
    when "dutch"
      "Dag Allemaal! Milind hier! Dit is mijn eerste juweeltje!"
    else
      "Hi All! Milind Here! This is my first gem!"
    end
  end
end
